defmodule PapayaCables.MixProject do
  use Mix.Project

  @github_url "https://github.com/hansonkd/papaya_cables"

  def project do
    [
      app: :papaya_cables,
      version: "0.1.0",
      elixir: "~> 1.7",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      description: "Papaya Cables transport.",
      source_url: @github_url,
      homepage_url: @github_url,
      files: ~w(mix.exs lib LICENSE.md README.md CHANGELOG.md),
      package: [
        maintainers: ["Kyle Hanson"],
        licenses: ["MIT"],
        links: %{
          "GitHub" => @github_url,
        }
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:papaya_transport, "~> 0.1"},
      {:cables, "~> 0.2"},
      {:ex_doc, ">= 0.0.0", only: :dev}
    ]
  end
end
